diff -ruN uppsrc/Core/Core.h uppsrc/Core/Core.h
--- uppsrc/Core/Core.h	2013-07-14 02:08:14 +0400
+++ uppsrc/Core/Core.h	2013-07-14 02:38:31 +0400
@@ -103,8 +103,11 @@
 		#endif
 	#endif
 
-	#if defined(COMPILER_MINGW) && !defined(WINVER)
-		#define WINVER 0xFFFF	
+	#if defined(COMPILER_MINGW)
+		#if !defined(WINVER)
+			#define WINVER 0xFFFF
+		#endif
+		#include <float.h>
 	#endif
 
 	#define DIR_SEP  '\\'
diff -ruN uppsrc/Core/Format.cpp uppsrc/Core/Format.cpp
--- uppsrc/Core/Format.cpp	2013-01-22 23:04:33 +0400
+++ uppsrc/Core/Format.cpp	2013-07-14 02:44:51 +0400
@@ -1,6 +1,5 @@
 #include "Core.h"
 //#BLITZ_APPROVE
-#include <float.h>
 
 NAMESPACE_UPP
 
diff -ruN uppsrc/CtrlLib/CtrlUtil.cpp uppsrc/CtrlLib/CtrlUtil.cpp
--- uppsrc/CtrlLib/CtrlUtil.cpp	2013-07-14 02:08:14 +0400
+++ uppsrc/CtrlLib/CtrlUtil.cpp	2013-07-14 02:45:27 +0400
@@ -186,7 +186,7 @@
 	return false;
 }
 
-bool EditNumber(int& n, const char *title, const char *label, double min, double max, bool notnull)
+bool EditNumber(double& n, const char *title, const char *label, double min, double max, bool notnull)
 {
 	WithEditDoubleLayout<TopWindow> dlg;
 	CtrlLayoutOKCancel(dlg, title);
diff -ruN uppsrc/Geom/polyalg.cpp uppsrc/Geom/polyalg.cpp
--- uppsrc/Geom/polyalg.cpp	2010-12-16 21:13:18 +0400
+++ uppsrc/Geom/polyalg.cpp	2013-07-14 02:44:16 +0400
@@ -1,8 +1,6 @@
 #include "Geom.h"
 #pragma hdrstop
 
-#include <float.h>
-
 NAMESPACE_UPP
 
 #define POLY_TIMING(n) // RTIMING(n)
